Page MenuHomePhabricator

Ship mobile web readily available language button placement affordance on Wednesday immediately following Tuesday single-language deployment
Closed, ResolvedPublic2 Story Points

Description

As a user, I want a the language switcher feature readily available to me when I load a page, and not just in beta.

Acceptance criteria

  • New language switcher affordance (new page action bar at top of page) is deployed at 100% to mobile web stable channel
  • Ensure event logging reflects the new button placement

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@dr0ptp4kt can I suggest we punt this to sprint k?
The new language switcher is not going to be done this sprint and I'd like us to collect at least a weeks worth of data before even pushing to production.

It's been moved.

Jdlrobson moved this task from Backlog to Tasks on the MobileFrontend board.Mar 16 2016, 9:42 PM

@Nirzar wants to run a usability test before pushing this out.
We should look at data before pushing this to stable.

Jdlrobson set the point value for this task to 2.Mar 22 2016, 4:44 PM

@Nirzar, any feedback from the usability test?

Nirzar added a comment.Apr 4 2016, 3:42 PM

@dr0ptp4kt the language switcher and overlay just went to Beta on Thursday. Research has done the protocol and will test it with this week usability labs

Jdlrobson triaged this task as Normal priority.Apr 14 2016, 2:56 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:47 PM

@Nirzar @dr0ptp4kt what is the status of this? moving it to the new language switcher epic, but it might not be relevant anymore

No config has been created for this purpose just yet. Making it a subtask was the right call - thanks!

dr0ptp4kt updated the task description. (Show Details)Jul 11 2016, 4:51 PM
Jhernandez renamed this task from Ship mobile web readily available language switcher affordance to Ship mobile web readily available language button placement affordance.Jul 20 2016, 4:37 PM
dr0ptp4kt renamed this task from Ship mobile web readily available language button placement affordance to Ship mobile web readily available language button placement affordance on first Thursday of sprint.Jul 25 2016, 4:11 PM
dr0ptp4kt renamed this task from Ship mobile web readily available language button placement affordance on first Thursday of sprint to Ship mobile web readily available language button placement affordance on Thursday immediately following Wednesday single-language deployment.Jul 25 2016, 4:16 PM
dr0ptp4kt raised the priority of this task from Normal to High.Jul 25 2016, 4:23 PM

Should we actually make this a Wednesday and then make the other one a Tuesday deploy? That way we'd have Thursday open for clearing up issues should they surface.

dr0ptp4kt renamed this task from Ship mobile web readily available language button placement affordance on Thursday immediately following Wednesday single-language deployment to Ship mobile web readily available language button placement affordance on Wednesday immediately following Tuesday single-language deployment.Aug 1 2016, 4:22 PM
dr0ptp4kt updated the task description. (Show Details)Aug 1 2016, 4:38 PM

Change 303003 had a related patch set uploaded (by Jdlrobson):
Promote new language switcher to all wikis

https://gerrit.wikimedia.org/r/303003

Johan added a subscriber: Johan.EditedAug 5 2016, 6:25 AM

This has been marked for inclusion in Tech News. Asking just to be on the safe side to make sure I'm not missing anything, the important piece of information is that:

a) the language button is moving for mobile users and
b) this will happen on Tuesday August 9?

@Johan, thanks for asking. Yes, the change will take effect right between Tuesday, August 9 and Tuesday, August 10 in UTC time (SWAT window is 9-August 2300-2359)

Change 303713 had a related patch set uploaded (by Jdlrobson):
Fix typo for Russian language switcher

https://gerrit.wikimedia.org/r/303713

Change 303713 merged by jenkins-bot:
Fix typo for Russian language switcher

https://gerrit.wikimedia.org/r/303713

Mentioned in SAL [2016-08-08T23:53:15Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Fix typo in Russian language switcher config (T129505) (duration: 00m 48s)

Annoyingly there was a big issue in the SWAT window. I waited till 6pm but the SWAT didn't happen. I believe it's fixed now. @phuedx if there's anyway you can get the SWAT done in the early deploy window tomorrow I would be eternally grateful to avoid staying late again: https://gerrit.wikimedia.org/r/303003

phuedx added a comment.EditedAug 10 2016, 2:20 PM

I'm currently trying to organise being available for the – much-talked-about! – European SWAT window given my restricted schedule. I'm sorry I can't be available for this @Jdlrobson.

Change 303003 merged by jenkins-bot:
Promote new language switcher to all wikis

https://gerrit.wikimedia.org/r/303003

Mentioned in SAL [2016-08-10T15:20:54Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:303003|Promote new language switcher to all wikis (T129505)]] (duration: 01m 12s)

phuedx removed Jdlrobson as the assignee of this task.Aug 11 2016, 8:09 AM
Jdlrobson removed a project: Patch-For-Review.

It's live everywhere. @Nirzar please resolve this if you are happy with it.

Nirzar closed this task as Resolved.Aug 11 2016, 8:25 PM